Page MenuHomePhabricator

TypeError: Cannot read property 'attributes' of undefined at MWImage
Closed, ResolvedPublic

Description

MT processing error: TypeError: Cannot read property 'attributes' of undefined\n at MWImage.<anonymous> (/home/nike/stuff/mw/cxserver/lib/translationunits/MWImage.js:91:47

On Special:ContentTranslation&page=FC%20Lahti&from=fi&to=sv&targettitle=FC%20Lahti&version=2 when trying to translate the infobox

Details

Related Gerrit Patches:
mediawiki/services/cxserver : masterDon't fail on images which are not also links

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2018, 7:45 AM

Specific to CX2 it seems.

Error is same with production cxserver:

TypeError: Cannot read property 'attributes' of undefined
    at MWImage.<anonymous> (/srv/deployment/cxserver/deploy-cache/revs/8ce20bafd8a50dedfe379178c7969c5f58a14160/src/lib/translationunits/MWImage.js:91:46)
    at next (native)
    at resume (/srv/deployment/cxserver/deploy-cache/revs/8ce20bafd8a50dedfe379178c7969c5f58a14160/src/lib/util.js:277:21)
    at resumeNext (/srv/deployment/cxserver/deploy-cache/revs/8ce20bafd8a50dedfe379178c7969c5f58a14160/src/lib/util.js:287:26)

https://github.com/wikimedia/mediawiki-services-cxserver/blob/master/lib/translationunits/MWImage.js#L91

Probably easy to fix, but investigating why it happens for this particular case (e.g. if there is a bug elsewhere) can be more complicated.

Change 440832 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/services/cxserver@master] Don't fail on images which are not also links

https://gerrit.wikimedia.org/r/440832

Nikerabbit triaged this task as Normal priority.
Nikerabbit moved this task from Backlog to In Review on the Language-2018-Apr-June board.

Change 440832 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Don't fail on images which are not also links

https://gerrit.wikimedia.org/r/440832

Mentioned in SAL (#wikimedia-operations) [2018-06-25T12:26:09Z] <kartik@deploy1001> Started deploy [cxserver/deploy@cc6dc61]: Update cxserver to ece5e7a (T191874, T196354, T195768, T195768)

Mentioned in SAL (#wikimedia-operations) [2018-06-25T12:29:42Z] <kartik@deploy1001> Finished deploy [cxserver/deploy@cc6dc61]: Update cxserver to ece5e7a (T191874, T196354, T195768, T195768) (duration: 03m 33s)

Etonkovidova closed this task as Resolved.Jun 27 2018, 11:00 PM
Nikerabbit moved this task from QA to Done on the Language-2018-Apr-June board.Jun 28 2018, 5:25 AM
Nikerabbit moved this task from Backlog to Parsing and annotation on the CX-cxserver board.